resources:
    App\Entity\Hardware:
        processor: App\State\Processor\HardwareProcessor
        input: App\Dto\Input\HardwareInput
        output: App\Dto\Output\HardwareOutput
        normalizationContext:
            groups: ['default', 'hardware:read']
        denormalizationContext:
            groups: ['hardware:write']
        operations:
            ApiPlatform\Metadata\GetCollection:
                provider: App\State\Provider\HardwareProvider
                filters:
                    - 'api_platform.filter.hardware.order'
                    - 'api_platform.filter.hardware.search'

            ApiPlatform\Metadata\Get:
                provider: App\State\Provider\HardwareProvider
            ApiPlatform\Metadata\Put:
                provider: App\State\Provider\HardwareProvider
            ApiPlatform\Metadata\Patch:
                provider: App\State\Provider\HardwareProvider
            ApiPlatform\Metadata\Post: ~
            ApiPlatform\Metadata\Delete: ~

properties:
    App\Entity\Hardware:
        id:
            identifier: false
        uuid:
            identifier: true